#
# spec file for package pam_krb5 (Version 1.3)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  kerberos-devel-packages openssl openssl-devel pam-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils e2fsprogs-devel gcc gdbm gettext heimdal heimdal-devel heimdal-lib libtool openssl-devel pam-devel perl rpm

Name:         pam_krb5
License:      GPL
Group:        Productivity/Networking/Security
Provides:     pam_krb
Autoreqprov:  on
Version:      1.3
Release:      201.7
Summary:      PAM Module for Kerberos Authentication
URL:          http://sourceforge.net/projects/pam-krb5/
Source:       pam_krb5_snap-2003.06.01.tar.bz2
Patch:        pam_krb5-%{version}-automake.patch
Patch1:       pam_krb5-%{version}-account.patch
Patch2:       pam_krb5-%{version}-krb4.patch
Patch3:       pam_krb5-fix-uninit.dif
Patch4:       pam_krb5-rentec.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This PAM module supports authentication against a Kerberos KDC. It also
supports updating your Kerberos password.



Authors:
--------
    Balazs Gal <balsa@rit.bme.hu>
    Nalin Dahyabhai <nalin@redhat.com>

%prep
%setup -q -n pam_krb5_snap-2003.06.01
%patch
%patch1
%patch2
%patch3
%patch4

%build
%{suse_update_config -f}
autoreconf --verbose --force --install
CFLAGS="$RPM_OPT_FLAGS"  \
./configure --with-pamdir=/%_lib/security \
	    --with-krb5=/usr/lib/heimdal \
	    --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%_lib/security/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc ChangeLog README README.heimdal TODO COPYING
%attr(555,root,root) /%{_lib}/security/pam_krb5.so
%attr(555,root,root) /%{_lib}/security/pam_krb5afs.so
%attr(444,root,root) %_mandir/man*/*.*

%changelog -n pam_krb5
* Tue Jul 19 2005 - mc@suse.de
- fix previous security update which broke interoperation with afs
  [#95528]
* Thu Jun 23 2005 - mc@suse.de
- fix pam_krb5 crash due to uninit var,
  and UID clashes on ticket file [#91600]
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Wed Jul 16 2003 - nadvornik@suse.cz
- replaced by different implementation of pam_krb5
- afs support
* Fri Jun 20 2003 - okir@suse.de
- fix build problem with latest heimdal
- another fix for passwd updates (#20284)
* Wed Jun 18 2003 - ro@suse.de
- use kerberos-devel-packages in neededforbuild
* Tue Apr 15 2003 - ro@suse.de
- fixed neededforbuild
* Wed Aug 28 2002 - okir@suse.de
- Security fix (#18463): unbecome_user did not properly reassert
  original privilege, and the caller didn't check the return value.
* Wed Jul 31 2002 - okir@suse.de
- suse_update_config now updates the right files
* Wed Jul 24 2002 - okir@suse.de
- fixed passwd(1) support; updated README
* Tue Jul 23 2002 - okir@suse.de
- initial packaging
